<%@ page language="java" contentType="text/html;charset=UTF-8" %>
<%@ include file="./config.jsp" %>
test-1 <br />
<%

	String uurl = null;
	String sso_id = null;
	String service_id = null;
	String ext_info = null;
	String retCode = null;
	//http://test.kjbank.com:8080/se/login_exec.jsp : 꼭 도메인으로 호출해야 된다.
	//1.SSO ID 수신
	sso_id = getSsoId(request);
	
	// 2. UURL 수신
	uurl = request.getParameter("UURL");

	if (sso_id == null) {
		//uurl 이 없다면, 근데 여기서 uurl 은 뭘 체크하는거지? uurl 에 test.kjbank.com:8080/se/login_exec.jsp 를 넣는구나. 
		if (uurl == null)	uurl = ASCP_URL;
		
		// 3. SSO 인증 정보가 없으면 통합 로그인 페이지로 이동
		out.println("go sso login");
		goLoginPage(response, uurl);
		return;
	} else {

		//4.쿠키 유효성 확인 :0(정상)
		retCode = getEamSessionCheck(request,response);
		out.println("retCode : " + retCode);
		response.flushBuffer();
		
		if(!retCode.equals("0")) {
			out.println("go error page");
			response.flushBuffer();
			//goErrorPage(response, Integer.parseInt(retCode));
			return;
		} else {
			out.println("no go error page");
			response.flushBuffer();
		}
		/***********************************************************************************
		*	< TO-DO >
		*	SSO 통합 인증이 완료되었으므로, 업무 시스템 로그인은 건너뛰도록 코드를 수정합니다.
		*	SSO 에서 제공한 사번은 sso_id 변수에 저장되어 있습니다.
		*	시스템에서 필요로 하는 세션 정보를 세팅 코드를 여기에 작성합니다.
		************************************************************************************/

		//5 확장 정보 조회
		out.println ("5 확장 정보 조회");
		response.flushBuffer();
		ext_info = getUserExField(sso_id, "CELLPHONENO");
		service_id = SERVICE_NAME;
		out.println ("SERVICE_NAME : " + service_id);
		out.println ("ext_info : " + ext_info);
		response.flushBuffer();
		//
		//6.업무시스템에 읽을 사용자 아이디를 세션으로 생성
		/* 변경 전
		String EAM_ID = (String)session.getAttribute("SSO_ID");
		if(EAM_ID == null || EAM_ID.equals("")) {
			session.setAttribute("SSO_ID", sso_id);
			session.setAttribute("APP_ID", service_id);
			session.setAttribute("EXT_INFO", ext_info);
			session.setAttribute("RET_CODE", retCode);
		}
		*/

		out.println ("Try Session set");

		response.flushBuffer();
		/*변경 후*/
		if(!sso_id.replace(" ", "").equals("")) {
			session.setAttribute("SSO_ID", sso_id);
			session.setAttribute("APP_ID", service_id);
			session.setAttribute("EXT_INFO", ext_info);
			session.setAttribute("RET_CODE", retCode);
			
			out.println ("SSO_ID : " + sso_id);
			out.println ("APP_ID : " + service_id);
			out.println ("EXT_INFO : " + ext_info);
			out.println ("RET_CODE : " + retCode);
			out.println ("ext_info : " + ext_info);
		}
		
		out.println("go app");
		response.flushBuffer();

		//7.업무시스템 페이지 호출(세션 페이지 또는 메인페이지 지정)  --> 업무시스템에 맞게 URL 수정!
		//response.sendRedirect(SERVER_URL + ":" + SERVER_PORT + "/se/app01.jsp");
	}
%>

END